## org.omg.DynamicAny.DynAnyPackage
Class InvalidValueHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynAnyPackage.InvalidValueHelper

public class InvalidValueHelper
extends java.lang.Object

Helper class for : InvalidValue

Author:
  OpenORB Compiler

Constructor Summary
`InvalidValueHelper()`

Method Summary
`static InvalidValue` `extract(Any a)` Extract InvalidValue from an any
`static java.lang.String` `id()` Return the InvalidValue IDL ID
`static void` `insert(Any a, InvalidValue t)` Insert InvalidValue into an any
`static InvalidValue` `read(InputStream istream)` Read InvalidValue from a marshalled stream
`static TypeCode` `type()` Return the InvalidValue TypeCode
`static void` `write(OutputStream ostream, InvalidValue value)` Write InvalidValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InvalidValueHelper

    public InvalidValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              InvalidValue t)

  Insert InvalidValue into an any
  Parameters:
    `a` - an any
    `t` - InvalidValue value

### extract

    public static InvalidValue extract(Any a)

  Extract InvalidValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted InvalidValue value

### type

    public static TypeCode type()

  Return the InvalidValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the InvalidValue IDL ID
  Returns:
    an ID

### read

    public static InvalidValue read(InputStream istream)

  Read InvalidValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed InvalidValue value

### write

    public static void write(OutputStream ostream,
                             InvalidValue value)

  Write InvalidValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - InvalidValue value